Skip to main content
GET
List routes

Authorizations

Authorization
string
header
required

Your Graviton API token. Send Authorization: Bearer YOUR_API_TOKEN or Authorization: YOUR_API_TOKEN. Each token has individual permissions; a valid token without the permission required by the method and route returns 403 TOKEN_PERMISSION_DENIED.

Query Parameters

page
integer
default:1
Required range: x >= 1
per_page
integer
default:50
Required range: 1 <= x <= 500

Partial text search across the resource's registered safe search fields. Whitespace is trimmed; literal percent and underscore characters are escaped. Search is applied after account, ownership, privilege, and object scope.

Required string length: 2 - 100
order
enum<string>
default:asc
Available options:
asc,
desc
sort
enum<string>
default:route_id

Registered field used for sorting.

Available options:
route_id,
route_name,
route_color,
route_visible,
route_name_visible,
route_deviation,
route_points
route_name
string

Exact-match filter for route_name.

route_color
string

Exact-match filter for route_color.

route_visible
string

Exact-match filter for route_visible.

route_name_visible
string

Exact-match filter for route_name_visible.

route_deviation
string

Exact-match filter for route_deviation.

route_points
string

Exact-match filter for route_points.

Response

Successful response

success
enum<boolean>
required
Available options:
true
data
object[]
required
meta
object